Resolve or reopen Project work
curl --request POST \
--url https://api.checkfu.com/v1/projects/{id}/sessions/{session_id}/resolution \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'checkfu-version: <checkfu-version>' \
--data '
{
"resolved": true
}
'import requests
url = "https://api.checkfu.com/v1/projects/{id}/sessions/{session_id}/resolution"
payload = { "resolved": True }
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'checkfu-version': '<checkfu-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({resolved: true})
};
fetch('https://api.checkfu.com/v1/projects/{id}/sessions/{session_id}/resolution', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"project_id": "<string>",
"role": "coordinating",
"generation": 1,
"project_version": 1,
"cause": {
"kind": "api",
"request_id": "<string>"
},
"resolution": {
"resolved_at": "<string>",
"resolved_by": "principal"
}
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "validation.conflict",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-conflict"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Resolve or reopen Project work
Set or clear the reopenable resolution mark on one work Session’s association.
POST
/
v1
/
projects
/
{id}
/
sessions
/
{session_id}
/
resolution
Resolve or reopen Project work
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-31 Maximum string length:
255Path Parameters
Pattern:
^proj_[0-9a-f]{32}$Pattern:
^sess_[0-9a-f]{32}$Body
application/json
Response
SessionProjectAssociation
Pattern:
^proj_[0-9a-f]{32}$Available options:
coordinating, work Required range:
x > 0Required range:
x > 0- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Show child attributes
Show child attributes